<?php

namespace App\Repository;

use Doctrine\ORM\EntityRepository;
use App\Entity\Cron;

/**
 * DeviceRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CronRepository extends EntityRepository
{
    public function setLatestRun($script)
    {
        $em = $this->getEntityManager();
        $entities = $em->getRepository('App:Cron')->findBy(array('script'=>$script));
        if (sizeof($entities) < 1) {
            $entity = new Cron();
            $entity->setScript($script);
            $em->persist($entity);
        } else {
            $entity = $entities[0];
        }
        $now = new \DateTime();
        $entity->setLatestRun($now);
        $em->flush();
    }

}
